Bug 1125955 - hitting deploy when on the advanced config tab results in broken ui
Summary: hitting deploy when on the advanced config tab results in broken ui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: Foreman (RHEL 6)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: Installer
Assignee: Jason E. Rist
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 12:47 UTC by Mike Burns
Modified: 2014-08-21 18:07 UTC (History)
4 users (show)

Fixed In Version: ruby193-rubygem-staypuft-0.2.1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 18:07:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description Mike Burns 2014-08-01 12:47:48 UTC
Description of problem:
Clicking deploy when on the advanced configuration tab results in the screen going inactive for a popup/dialog box which never appears.  I assume it appears on the first tab (Overview) but it's impossible to get there

Version-Release number of selected component (if applicable):
staypuft-pre-release

How reproducible:
always

Steps to Reproduce:
1.create a deployment
2.assign hosts
3.go to advanced config
4.hit deploy button

Actual results:
ui is unusable (locked)

Expected results:
popup shows wherever you are and/or navigates back to overview

Additional info:

Comment 2 Jason E. Rist 2014-08-05 20:58:24 UTC
Already fixed and merged upstream
https://github.com/theforeman/staypuft/pull/251

Comment 4 Alexander Chuzhoy 2014-08-11 20:39:25 UTC
Verified: rhel-osp-installer-0.1.9-1.el6ost.noarch


the reported issue doesn't reproduce. Hitting on deploy from the advanced config works.

Comment 5 errata-xmlrpc 2014-08-21 18:07:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.